# Generated by Django 2.1.3 on 2019-07-16 08:11

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models
import uuid


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('utp', '0006_auto_20190716_0725'),
    ]

    operations = [
        migrations.CreateModel(
            name='CpeUtp',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('uuid', models.UUIDField(db_index=True, default=uuid.uuid4)),
                ('alias', models.CharField(blank=True, db_index=True, max_length=80, null=True)),
                ('serial', models.CharField(db_index=True, max_length=30)),
                ('description', models.TextField()),
                ('service_number', models.PositiveSmallIntegerField(blank=True, null=True)),
                ('status', models.BooleanField(blank=True, default=False, null=True)),
                ('uptime', models.DateTimeField(blank=True, null=True)),
                ('mac', models.CharField(blank=True, db_index=True, max_length=17, null=True)),
                ('ip', models.GenericIPAddressField(blank=True, db_index=True, null=True, protocol='IPv4')),
                ('firmware', models.CharField(blank=True, max_length=100, null=True)),
                ('model', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='utp.ModelDevice')),
                ('nodo_utp', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='utp.Mikrotik')),
            ],
            options={
                'ordering': ['serial'],
            },
        ),
        migrations.CreateModel(
            name='HistoricalCpeUtp',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('modified', models.DateTimeField(blank=True, editable=False)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('uuid', models.UUIDField(db_index=True, default=uuid.uuid4)),
                ('alias', models.CharField(blank=True, db_index=True, max_length=80, null=True)),
                ('serial', models.CharField(db_index=True, max_length=30)),
                ('description', models.TextField()),
                ('service_number', models.PositiveSmallIntegerField(blank=True, null=True)),
                ('status', models.BooleanField(blank=True, default=False, null=True)),
                ('uptime', models.DateTimeField(blank=True, null=True)),
                ('mac', models.CharField(blank=True, db_index=True, max_length=17, null=True)),
                ('ip', models.GenericIPAddressField(blank=True, db_index=True, null=True, protocol='IPv4')),
                ('firmware', models.CharField(blank=True, max_length=100, null=True)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('model', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='utp.ModelDevice')),
                ('nodo_utp', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='utp.Mikrotik')),
            ],
            options={
                'verbose_name': 'historical cpe utp',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.AlterUniqueTogether(
            name='cpeutp',
            unique_together={('alias', 'serial', 'nodo_utp'), ('serial', 'nodo_utp')},
        ),
    ]
